org.apache.xmlbeans.impl.xb.xsdschema

## Interface RestrictionDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    RestrictionDocumentImpl

      public interface RestrictionDocument
      extends XmlObject

  A document containing one restriction(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RestrictionDocument.Restriction` An XML restriction(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<RestrictionDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RestrictionDocument.Restriction` | `addNewRestriction()` Appends and returns a new empty "restriction" element
    `RestrictionDocument.Restriction` | `getRestriction()` Gets the "restriction" element
    `void` | `setRestriction(RestrictionDocument.Restriction restriction)` Sets the "restriction" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<RestrictionDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getRestriction

          RestrictionDocument.Restriction getRestriction()

      Gets the "restriction" element

    - #### setRestriction

          void setRestriction(RestrictionDocument.Restriction restriction)

      Sets the "restriction" element

    - #### addNewRestriction

          RestrictionDocument.Restriction addNewRestriction()

      Appends and returns a new empty "restriction" element